#coding=utf-8
#!/usr/bin/python

import os
import shutil

#判断文件夹是否存在
extension_updates_dir="/etc/chromium/policies/managed/policy_solution/"

if not os.path.exists(extension_updates_dir):
    os.mkdir(extension_updates_dir)

#处理crx文件
crx="/etc/chromium/policies/managed/SimpRead.crx"
crx_old="/etc/chromium/policies/managed/policy_solution/SimpRead.crx"
if os.path.exists(crx):
    if os.path.exists(crx_old):
        os.remove(crx_old)
    shutil.move(crx,extension_updates_dir)

##处理polycy文件
policy_mdm = "/etc/chromium/policies/managed/policy_mdm.json"
policy_mdm_new = "/etc/chromium/policies/managed/policy_mdm_new.json"
extension = ",\"ijllcpnolfcooahcekpamkbidhejabll;file:///etc/chromium/policies/managed/policy_solution/extension_updates.xml\""
endline = "],\n"
#print(extension)
extensionList = "\"ExtensionInstallForcelist\""
with open(policy_mdm , 'r') as fold:
    with open(policy_mdm_new,'w') as fnew:
        for line in fold.readlines():
            # line.strip() # 把末尾的'\n'删掉
            if(extensionList in line.strip() and extension not in  line.strip() ):
                s = line.strip()[:-2]+extension+endline
                fnew.write(s)
            else:
                fnew.write(line)

os.remove(policy_mdm)
os.rename(policy_mdm_new, policy_mdm)

#处理extension_updates
extension_updates="/etc/chromium/policies/managed/extension_updates_simpleread.xml"
extension_updates_old="/etc/chromium/policies/managed/policy_solution/extension_updates.xml"

if os.path.exists(extension_updates):
    if os.path.exists(extension_updates_old):
        os.remove(extension_updates_old)
    os.rename(extension_updates, extension_updates_old)
    # shutil.move(extension_updates,extension_updates_dir)

#处理文件
uninstall_loudreader="/etc/chromium/policies/managed/uninstall_simpleread.py"
if os.path.exists(extension_updates_dir):
    if os.path.exists(uninstall_loudreader):
        shutil.move(uninstall_loudreader, extension_updates_dir)

